@font-face {
  font-display: swap; 
  font-family: 'DollyPro';
  font-style: normal;
  font-weight: 400;
  src: url('/fileadmin/Resources/Public/Fonts/DollyPro/DollyPro-Bold.woff2') format('woff2'); 
}
                                                                                               
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Raleway';
  font-style: normal;
  font-weight: 400;
  src: url('/fileadmin/Resources/Public/Fonts/Raleway/raleway-v37-latin-regular.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Raleway';
  font-style: italic;
  font-weight: 400;
  src: url('/fileadmin/Resources/Public/Fonts/Raleway/raleway-v37-latin-italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Raleway';
  font-style: normal;
  font-weight: 500;
  src: url('/fileadmin/Resources/Public/Fonts/Raleway/raleway-v37-latin-500.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Raleway';
  font-style: italic;
  font-weight: 500;
  src: url('/fileadmin/Resources/Public/Fonts/Raleway/raleway-v37-latin-500italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Raleway';
  font-style: normal;
  font-weight: 600;
  src: url('/fileadmin/Resources/Public/Fonts/Raleway/raleway-v37-latin-600.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Raleway';
  font-style: italic;
  font-weight: 600;
  src: url('/fileadmin/Resources/Public/Fonts/Raleway/raleway-v37-latin-600italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Raleway';
  font-style: normal;
  font-weight: 700;
  src: url('/fileadmin/Resources/Public/Fonts/Raleway/raleway-v37-latin-700.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Raleway';
  font-style: italic;
  font-weight: 700;
  src: url('/fileadmin/Resources/Public/Fonts/Raleway/raleway-v37-latin-700italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

:root {
  --color-primary: #FF1414;
  --color-font: #0E2C53;

  --color-dark-blue-alt: #02152E;
  --color-dark-blue: #003882;

  --color-creme: #FFD6BC;
  --color-dark-creme: #EDB689;
  --color-light-creme: #FFEBDE;

  --color-pastel-orange: #ED684A;
  --color-orange: #F06C4D;

  --color-red: #CC071E;

  --color-pastel-blue: #E4ECF8;
  --color-blue-gray: #FFD6BC; /* gleiche Farbe wie creme */
  --color-ice-blue: #B4C0D1;

  --color-pastel-light: #FDF2EA;
  
  --color-green: #1F5C4A; /* von D&T hinzugefügt */
}

body {
  color: var(--color-font);
}

/***************
 Navi
 ***************/

.page-navigation {
  height: 80px;
}

.uk-navbar-nav > li > a, .uk-navbar-item, .uk-navbar-toggle {
  color: var(--color-font);
  font-family: Raleway, sans-serif;
}

.uk-navbar-nav > li > a:hover, .uk-navbar-nav > li > a:focus, .uk-navbar-item:hover, .uk-navbar-item:focus, .uk-navbar-toggle:hover, .uk-navbar-toggle:focus {
  color: var(--color-font);
  
}

.uk-navbar-nav > li > a span, .uk-navbar-nav > li > a span, .uk-navbar-item span, .uk-navbar-item span, .uk-navbar-toggle span, .uk-navbar-toggle span {
  display: block;
  line-height: 1.15;
  position: relative;
}

.uk-navbar-nav > li > a span::after, .uk-navbar-nav > li > a span::after, .uk-navbar-item span::after, .uk-navbar-item span::after, .uk-navbar-toggle span::after, .uk-navbar-toggle span::after {
    content: "";
    transform-origin: 0;
    border-bottom: 2px solid var(--color-red);
    transition: transform .2s ease-in-out;
    display: block;
    position: absolute;
    bottom: -.25em;
    left: 0;
    right: 0;
    transform: scaleX(0);
}


.uk-navbar-nav > li > a:hover span::after, .uk-navbar-nav > li > a:focus span::after, .uk-navbar-item:hover span::after, .uk-navbar-item:focus span::after, .uk-navbar-toggle:hover span::after, .uk-navbar-toggle:focus span::after {
transform: scaleX(1);
}

.uk-navbar-dropdown-nav {
  color: var(--color-font);
  font-family: Raleway, sans-serif;
}

.uk-navbar-dropdown-nav > li > a:hover, .uk-navbar-dropdown-nav > li > a:focus {
    color: var(--color-red);
}


/***************
 Home Slider
 ***************/

.slideshowHero {
  height: auto;
  max-height: calc(100vh - 100px);
}

.uk-overlay-primary {
  background-color: var(--color-pastel-orange);
  border-radius: 2rem;
}

.uk-slideshow-items .item {
  border-color: var(--color-dark-blue);
  border-radius: 1rem;
  border-width: 4px;
}

/***************
 Typo
 ***************/

body {
  font-size: 1.0625rem;
}

h1, .menueshop-filter-link, .menueshop-show-calendar-link, .menushop-lunchbox-titlecat {
  font-family: DollyPro, sans-serif;
  font-weight: 400;
  letter-spacing: 0;
  text-transform: none;
}

.menueshop-header h1 {
  color: var(--color-red);
}

.title {
  color: var(--color-red);
  text-align: center;
  text-transform: none;
}

.btn-default, a.button-cta, .o-btn, .uk-button-primary {
  background-color: var(--color-red);
  border-radius: 2.5rem;
  font-weight: bold;
  color: #fff;
  transition: all .2s;
}

.btn-default:hover, 
.btn-default:focus, 
a.button-cta:hover, 
a.button-cta:focus, 
.o-btn:hover, 
.o-btn:focus, 
.uk-button-primary:hover, 
.uk-button-primary:focus {
  background-color: var(--color-dark-blue-alt);
}

/***************
 Content
 ***************/

.frame-type-textmedia, .uk-accordion {
  margin-inline: auto;
  max-width: 50rem;
}

.uk-accordion li {
  background: var(--color-light-creme);
  border-radius: 20px;
  color: var(--color-text);
}

.uk-accordion .uk-accordion-title {
  text-transform: none;
  color: var(--color-text);
}

.elementContact {
  background: var(--color-light-creme);
}

/***************
 Lunchboxes
 ***************/

.menueshop-header {
  background: var(--color-pastel-blue);
  border-radius: 2rem;
  padding-inline: 1rem;
}

.menueshop-prevnext:hover, .menueshop-prevnext:focus {
    background-color: #fff;
}

@media print, screen and (min-width: 40em) {
  .menueshop-show-calendar-link:hover, .menueshop-show-calendar-link:focus {
      background-color: #fff;
  }
}

.menushop-lunchbox-titlecat {
  background: var(--color-light-creme);
}

.product_details {
  border-radius: 2rem;
}

.menueshop-lunchbox {
  box-shadow: none;
  filter: drop-shadow(0 0 .625rem rgba(0, 0, 0, .3));
}

.menueshop-lunchbox:hover, 
.menueshop-lunchbox:focus-within {
  box-shadow: none;
  filter: drop-shadow(0 0 1rem rgba(0, 0, 0, .5));
  transform: translateY(-2px);
}

.menueshop-lunchbox, .menueshop-lunchbox-hint, .btn, .product_details .menueshop-lunchbox-submit, .product_details .menueshop-lunchbox-img {
  border-radius: 1rem;
}

.menueshop-lunchbox-submit {
  border-radius: 0;
}

.product_details .btn-close, .product_details .close-reveal-modal {
  border-radius: 50%;
}

.menueshop-filter, .menueshop-show-calendar {
  background: transparent;
}

.menueshop-filter-icon, .menueshop-filter-link, .menueshop-prevnext, .menueshop-date, .menueshop-show-calendar-link {
  color: var(--color-font);
}

.menueshop-filter-link, .menueshop-prevnext, .menueshop-show-calendar-link {
  border-radius: 1rem;
}
.menueshop-filter-link:hover, .menueshop-filter-link:focus {
  background-color: transparent;
}

@media only screen and (min-width: 640px) {
  .menueshop-filter-link:hover, .menueshop-filter-link:focus {
    background-color: #fff;
  }
}

.checkbox-toggle input + label:hover, .checkbox-toggle input + label:focus {
  background: var(--color-light-creme);
}

.checkbox-toggle input:checked + label {
  background: var(--color-creme);  
}

.checkbox-toggle input:checked + label .switch {
  background: #999;
}

.checkbox-toggle input + label .switch::before {
  background: var(--color-ice-blue);
}

.checkbox-toggle input + label .switch .dot {
  background-color: var(--color-dark-blue-alt);
}

.menueshop-table-week .menueshop-table-header {
  background-color: var(--color-light-creme);
  color: var(--color-font);
}

.menueshop-table-week .menushop-table-header-row {
  background-color: var(--color-light-creme);
}

.f3-widget-paginator li.current,
.f3-widget-paginator a {
  border-radius: 1.25em;
  color: var(--color-text);
  display: inline-block;
  height: 2.5em;
  line-height: 2.5em;
  margin-inline: .125em;
  padding: 0;
  text-align: center;
  width: 2.5em;
}

.f3-widget-paginator li.current {
  background: var(--color-pastel-blue);
}

.f3-widget-paginator a {
  background: transparent;
  text-decoration: none;
}

.f3-widget-paginator a[rel="prev"],
.f3-widget-paginator a[rel="next"] {
  padding-inline: 1em;
  width: auto;
}

.f3-widget-paginator a:hover, .f3-widget-paginator a:focus {
  background: var(--color-light-creme);
}

/***************
 Form
 ***************/

.menueshop-loginform {
  margin-block: 1em;
}

.menueshop-login-status {
  margin-block-end: 1em;
  text-align: center;
}

.menueshop-login-status, .menueshop-form {
  border-radius: 2rem;
  margin-inline: auto;
}

.tx-felogin-pi1 p:last-child:has(a) {
  text-align: center;
}

.menueshop-form {
  background: var(--color-light-creme);
}

.szlin ul.helper-text {
  background-color: color-mix(in oklab, var(--color-pastel-blue), white 40%);
  border: 1px solid var(--color-dark-blue);
  color: var(--color-red);
  font-size: .85rem;
  font-weight: bold;
  line-height: 2;
  list-style: square;
  margin-inline: auto;
  max-width: 33rem;
  padding: 2em 3em;
}

.szlin ul.helper-text li.valid {
  color: var(--color-green);
}

/***************
 Footer
 ***************/

div#footer {
  background-color: #e4ecf8;
}

.footer-logo-link {
  display: block;
  max-width: 200px;
}


/***************
 Misc
 ***************/

.minicart-wrapper {
  border-radius: 1rem 0 0 1rem;
}

.minicart-trigger {
  border-radius: .25rem 0 0 .25rem;
  left: -3.1875rem;
}

.minicart .btn-login {
  padding-right: 3rem;
}

.tx-cart {
  background: var(--color-light-creme);
  border-radius: 2rem;
  margin-block-end: 2rem;
}

.szlin .t3-sitemap li a {
  background: var(--color-light-creme);
  border-radius: 1rem;
  color: var(--color-text) !important;
}

.szlin .t3-sitemap li a:hover,
.szlin .t3-sitemap li a:focus {
  background: var(--color-creme);
}

.tab-content {
  border-radius: 0 1rem 1rem 1rem;
}

.contact {
  background-color: var(--color-light-creme);
  border: none;
  border-radius: 2rem;
}


@media (min-width: 960px) {
  .elementContact .contact img {
    max-width: 170px;
  }
}


@media screen and (max-width: 767px){
  
  .slideshowHero {
    height: auto;
  }
  
  .uk-slideshow-items {
    aspect-ratio: unset !important;
    height: auto !important;
    min-height: unset !important; 
  }
  
  .uk-slideshow-items > * {
    display: flex;
    flex-direction: column;
    height: 100%;
    min-height: 1px !important;
    position: static !important;
  }
  
  .uk-slideshow-items .title {
    margin-block: 2rem 1rem;
  } 
  
  .uk-slideshow-items .subtitle {
    margin-block: 1rem 2rem;
  } 
  
  .slideshowHero .uk-overlay.uk-position-center {
    margin-inline: 1rem;
    margin-block-start: -2rem;
    padding: 1rem;
    position: static !important;
    transform: none;
    width: calc(100% - 2rem);
  }
  
  .slideshowHero .uk-overlay .item {
    display: flex;
    flex-direction: column;
    height: 100%;
    justify-content: space-around;
    max-width: 100%;
  }
  
  .slideshowHero .uk-transition-slide-bottom {
    height: 100%;
  }
  
}

.home .slideshowHero + .elementOneColumn-textmedia .frame-type-textmedia {
    max-width: 44rem;
    margin-bottom: 4em;
    margin-left: auto;
    margin-right: auto;
    max-width: 44rem;
}

@media (max-width: 479px) {
  
  .slideshowHero {
    margin-block-end: 0;
  }
  .uk-slideshow-items .item {
    padding: 0.5rem 1.667rem;
  }
  
  .uk-slideshow-items .title {
    font-size: 1.2rem;
  }
}

@media (min-width: 480px) and (max-width: 767px) {
  .uk-slideshow-items .title {
    font-size: 1.65rem;
  }
}

@media screen and (min-width: 768px) and (max-width: 1179px){
  .slideshowHero {
    max-height: 500px;
    overflow: hidden;
  }
  .slideshowHero > div {
    max-height: 500px;
  }
  .uk-slideshow-items {
    aspect-ratio: unset !important;
    height: 500px !important;
    max-height: 500px;
    min-height: 500px !important;
    width: 100%;
  }
  .slideshowHero .uk-overlay {
    zoom: .9;
  }
    
}